#721 closed defect (fixed)

bogus assert in itrontests/itronsem01

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: unspecified Version: 4.6
Severity: normal Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

There itrontests/itronsem01/init.c contains an obviously bogus assert.

@@ -284,7 +284,7 @@

puts( "Init - sig_sem - semaphore 1 (count > maximum) - E_QOVR" );
status = sig_sem( 1 );

  • assert( status == E_OK );

+ assert( status == E_QOVR );

/*

  • Exercise ref_sem

Release:
4.6.x, CVS

Attachments (1)

rtems-itrontests-itronsem01.diff (531 bytes) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:12 PM.
rtems-itrontests-itronsem01.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Nov 22, 2004 at 7:19:46 AM by Ralf Corsepius

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to branch and trunk

Changed on Dec 3, 2006 at 1:31:12 PM by Ralf Corsepius

rtems-itrontests-itronsem01.diff

comment:2 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.